HTTP::Proxy::Engine::NoFork(3)

NAME
HTTP::Proxy::Engine::NoFork - A basic, non forking HTTP::Proxy engine

SYNOPSIS
    use HTTP::Proxy;
    my $proxy = HTTP::Proxy->new( engine => 'NoFork' );

DESCRIPTION
The HTTP::Proxy::Engine::NoFork engine runs the proxy without forking.

METHODS

start()
    Initialise the engine.

run()
    Implements the non-forking logic by calling "$proxy->serve_requests()" directly.

SEE ALSO
HTTP::Proxy, HTTP::Proxy::Engine.

AUTHOR
Philippe "BooK" Bruhat, "<book@cpan.org>".

COPYRIGHT
Copyright 2005-2015, Philippe Bruhat.

LICENSE
This module is free software; you can redistribute it or modify it under the same terms as Perl itself.